// Copyright (C) 2016-2021  Nexedi SA and Contributors.
//                          Kirill Smelkov <kirr@nexedi.com>
//
// This program is free software: you can Use, Study, Modify and Redistribute
// it under the terms of the GNU General Public License version 3, or (at your
// option) any later version, as published by the Free Software Foundation.
//
// You can also Link and Combine this program with other software covered by
// the terms of any of the Free Software licenses or any of the Open Source
// Initiative approved licenses and Convey the resulting work. Corresponding
// source of such a combination shall include the source code for all other
// software used.
//
// This program is distributed WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
// See COPYING file for full licensing terms.
// See https://www.nexedi.com/licensing for rationale and options.

// Package neo provides Go implementation of NEO database.
//
// Use Master, Storage and Client to create NEO nodes explicitly.
//
// Use zodb.Open with neo:// or neos:// URL to open NEO client via zurl.
// NEO URL schema is:
//
//	neo(s)://[credentials@]master1,master2,...,masterN/name?options
//
// Use command lab.nexedi.com/kirr/neo/go/neo/cmd/neo to run NEO services and
// commands as separate processes.
//
// See https://neo.nexedi.com and https://navytux.spb.ru/~kirr/neo for more
// information about NEO.
package neo

//go:generate gotrace gen .
